import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
var BASE_CLASS = 'sui-AtomValidationText';
var TYPES = {
  SUCCESS: 'success',
  ERROR: 'error',
  ALERT: 'alert'
};

var getClassNames = function getClassNames(type) {
  return cx(BASE_CLASS, BASE_CLASS + "--" + type);
};

var AtomValidationText = function AtomValidationText(_ref) {
  var type = _ref.type,
      text = _ref.text;
  return React.createElement("span", {
    className: getClassNames(type)
  }, text);
};

AtomValidationText.displayName = 'AtomValidationText';
export default AtomValidationText;
export { TYPES as AtomValidationTextTypes };